<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

$formname = 'Purchase Register';
$file = 'purreg_fr.php';
$trandb = 'purtran';

$supplier = $_POST["supplier"];
$p = $_GET["p"];
$ptype = $_POST["ptype"];
$pchtype = $_POST["pchtype"];
$dtype = $_POST["dtype"];
$gsttype = $_POST["gsttype"];


if (!empty($supplier)) {
    $suppcond = " AND `party` = '$supplier' ";
    $suppcond2 = " AND `accode` = '$supplier' ";
}
if (!empty($p)) {
    $pcond = " AND `party` = '$p' ";
}
if (!empty($ptype)) {
    $ptypecond = " AND `paidby`= '$ptype'";
}

if ($ptype == "C") {
    $paytype = "CASH";
} else {
    $paytype = "CREDIT";
}


if (!empty($dtype)) {
    $dtypecond = " AND `dtype`= '$dtype' ";
}


if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
}

if (($_GET["fdt"]) != '') {
    $mfdt = $_GET["fdt"];
    $mtdt = $_GET["tdt"];
    $mfrmdate = date("y-m-d", strtotime($mfdt));
    $mtodate = date("y-m-d", strtotime($mtdt));
    $dtype = $_GET["rpt"];
} else {

    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
}

if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
} else {
    $gstcond = "";
}

$getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `purmain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond order by vouchdt,vouchno") or die(mysqli_error($conn));


$getno2 = mysqli_num_rows($getpmain2);

if (isset($_POST["view"]) || ($_GET["view"])) {


    include("includes/linkshead.php");
?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }
    </style>
    </head>

    <body>


        <div class="container-fluid">
            <?php
            include("includes/head_rep.php");





            //            $getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `purmain` WHERE `vouchdt` >= '$mfrmdate' 
            //                                        AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));
            //
            //
            //            $getno2 = mysqli_num_rows($getpmain2);


            if ($getno2 > 0) {
            ?>
                <table class="table table-condesed table-bordered">
                    <tr class="mySearchTr">
                        <!--9221292520-->
                        <th width="100%" class="h4" style="color:white"><b>Purchase Register</b></th>
                    </tr>
                    <tr>
                        <td style="font-size: 15px;padding:5px" class="HDFont" colspan="2">
                            Total No. of Record :&nbsp;&nbsp;<b><?php echo $getno2; ?></b>
                        </td>
                    </tr>
                </table>
                <?php if ($ptype != "") { ?>
                    <table width="100%" class="table" style="background-color: #98F9F0">
                        <tr>
                            <td width="7%" style="font-size:14px">Pay Type : </td>
                            <td width="93%" style="font-size:14px"><b><?php echo $paytype; ?></b></td>
                        </tr>
                    </table>
                <?php } ?>
                <table style="background: white;width: 100%" class="table table-condensed table-striped table-hover table-bordered">
                    <thead class="mySearchTr">
                        <tr>
                            <th width="7%;">Sr. No.</th>
                            <th width="10%;">Voucher No.</th>
                            <th width="10%;">Date</th>
                            <th width="7%;">Invoice No.</th>
                            <th width="25%;">Supplier</th>
                            <?php if ($ptype != "") { ?>
                                <th width="9%;">Pay type</th>
                            <?php } ?>
                            <th width="10%;" class="text-left">Paid By</th>
                            <th width="10%;" class="text-right">Total Qty.</th>
                            <th width="10%;" class="text-right">Net Amount</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $pctr = 0;
                        $ptotamt = 0;
                        $ptotdiscamt = 0;
                        $ptottaxable = 0;
                        $ptotgst3 = 0;
                        $totcost = 0;
                        $ptotgst5 = 0;
                        $ptotgst12 = 0;
                        $ptotgst18 = 0;
                        $ptotgst28 = 0;
                        $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
                        $pchtypecond = "";

                        //                                $getpmain_p = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `rawmain` WHERE `vouchdt` >= '$mfrmdate' 
                        //                                        AND `vouchdt` <= '$mtodate' $suppcond $godowncond $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));


                        while ($pmain = mysqli_fetch_array($getpmain2)) {
                            if ($pmain['paidby'] == "C") {
                                $ptyped = "CASH";
                            } else {
                                $ptyped = "CREDIT";
                            }


                            $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                            $sparty = mysqli_fetch_array($gparty);


                            $voucher = $pmain['vouchno'];
                            $mydt = $pmain['mydt'];
                            $invno = $pmain['invno'];
                            $party = $sparty['name'];
                            $billamt = $pmain['billamt'];
                            $subtot = $pmain['grossamt'];
                            $totvat = $pmain['totvat'];
                            $totdisc = $pmain['totdisc'];
                            $totqty = $pmain['totalqty'];

                            $pctr++;
                            echo "<tr data-href='purchase.php?mode=edit&vouchno=$voucher' class='clickable-row2' style='cursor: pointer;' [target]='_blank'>";
                            echo "<td>$pctr</td>";
                            echo "<td>$voucher</td>";
                            echo "<td>$mydt</td>";
                            echo "<td>$invno</td>";
                            echo "<td>$party</td>";
                            echo "<td>$ptyped</td>";
                            echo "<td class='text-right'>$totqty</td>";
                            echo "<td class='text-right'>$billamt</td>";
                            echo "</tr>";
                            //                                    if ($ptype != "") {
                            //                                        Echo"<td>$ptyped</td>";
                            //                                    }
                            //                                    Echo"<td class='text-right'>$subtot</td>";
                            //                                    Echo"<td class='text-right'>$totdisc</td>";
                            //                                    Echo"<td class='text-right'>$totvat</td>";
                            //                                    Echo"<td class='text-right'>$billamt</td>";



                            //                                    $pgrsubtot = $pgrsubtot + $netamt;
                            $pgrtotqty = $pgrtotqty + $totqty;
                            $pgrtotdis = $pgrtotdis + $totdisc;
                            $pgrtotvat = $pgrtotvat + $totvat;
                            $pgrtotbillamt = $pgrtotbillamt + $billamt;

                            if ($_POST["dtype"] == 2) {

                                echo "<tr >";
                                echo "<td colspan='25'>";
                                echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                echo "<thead>";
                                echo "<tr class='' style='background-color:#BABFC2'>";
                                echo "<th style='width:7%;'>Sr. No.</th>";
                                echo "<th style='width:13%;' class=''>Item</th>";
                                echo "<th style='width:10%;'>Size</th>";
                                echo "<th style='width:10%;' class='text-right'>Qty.</th>";
                                echo "<th style='width:4%;' class='text-right'>Unit</th>";
                                echo "<th style='width:31%;' class='text-right'>Cost</th>";
                                echo "<th style='width:29%;' class='text-right'>Amount</th>";
                                echo "</tr>";
                                echo "<thead>";
                                echo "<tr>";

                                $ctr2 = 0;
                                $pctr2 = 0;
                                $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                                $gettran = mysqli_query($conn, "SELECT * FROM `purtran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                while ($tran = mysqli_fetch_array($gettran)) {

                                    $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                                    $showitem = mysqli_fetch_array($getitem);

                                    $ctr2++;
                                    echo "<tr>";
                                    echo "<td>$ctr2</td>";
                                    echo "<td>$showitem[name]</td>";
                                    echo "<td>$tran[size]</td>";
                                    echo "<td class='text-right'>$tran[qty]</td>";
                                    echo "<td class='text-right'>$tran[unit]</td>";
                                    echo "<td class='text-right'>$tran[rate]</td>";
                                    echo "<td class='text-right'>$tran[amount]</td>";
                                    echo "</tr>";
                                    //                                            Echo "<td class='text-right'>$tran[discamt]</td>";
                                    //                                            Echo "<td class='text-right'>$tran[vatperc]</td>";
                                    //                                            Echo "<td class='text-right'>$tran[vat]</td>";
                                    //                                            Echo "<td class='text-right'>$tran[total]</td>";

                                    $pcartqty = $pcartqty + $tran['cartqty'];
                                    $pqty = $pqty + $tran['qty'];
                                    $ptotqty = $ptotqty + $tran['totqty'];
                                    $ptotamount = $ptotamount + $tran['amount'];
                                    $totcost = $totcost + $tran['rate'];
                                }
                                //                                            $ptotdiscount = $ptotdiscount + $tran['discamt'];
                                //                                            $ptotvat = $ptotvat + $tran['vat'];
                                //                                            $ptotal = $ptotal + $tran['total'];

                                echo "<tr style='font-weight:bold;'>";
                                echo "<td class='text-right'>Total</td>";
                                echo "<td></td>";
                                echo "<td></td>";
                                echo "<td class='text-right'>$pqty</td>";
                                echo "<td></td>";
                                echo "<td></td>";
                                echo "<td class='text-right'>$ptotamount</td>";
                                //                                        Echo "<td class='text-right'>$ptotdiscount</td>";
                                //                                        Echo "<td></td>";
                                //                                        Echo "<td class='text-right'>$ptotvat</td>";
                                //                                        Echo "<td class='text-right'>$ptotal</td>";
                                echo "</tr>";
                                echo "</table>";
                            }
                        }
                        echo "<tr >";
                        echo "<td></td>";
                        echo "<td></td>";
                        echo "<td></td>";

                        if ($ptype != "") {
                            echo "<td></td>";
                        }
                        echo "<td class='text-right'></td>";
                        echo "<td class='numeric text-right'></td>";
                        echo "<td class='text-right' style='font-size:15px'><b>Total</b></td>";
                        echo "<td class='numeric text-right' style='font-size:15px' ><b>$pgrtotqty</b></td>";
                        echo "<td class='numeric text-right' style='font-size:15px'><b>$pgrtotbillamt</b></td>";
                        echo "</tr>";
                        //                                Echo "<td class='numeric text-right'><b>$totcost</b></td>";
                        //                                Echo "<td class='numeric text-right'><b>$pgrtotdis</b></td>";
                        //                                Echo "<td class='numeric text-right'><b>$pgrtotvat</b></td>";
                        //                                Echo "<td class='numeric text-right'><b>$pgrtotbillamt</b></td>";
                        ?>
                    </tbody>
                </table>
            <?php
            }
            ?>
        </div>
        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
<?php
}

if (isset($_POST["excel"])) {

    $contents .= "Purchase Register\n";

    if ($ptype != "") {
        $contents .= "Pay Type :" . ",";
        $contents .= "$paytype" . "\n";
    }




    //            if ($getno2 > 0) {



    $contents .= "Sr,Voucher,Date,Invoice No.,Supplier,";

    if ($ptype != "") {
        $contents .= "Pay type,";
    }
    $contents .= "Paid By ,Total Qty,Net Amount\n";

    $pctr = 0;
    $ptotamt = 0;
    $ptotdiscamt = 0;
    $ptottaxable = 0;
    $ptotgst3 = 0;
    $totcost = 0;
    $ptotgst5 = 0;
    $ptotgst12 = 0;
    $ptotgst18 = 0;
    $ptotgst28 = 0;
    $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
    $pchtypecond = "";

    //                                $getpmain_p = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `rawmain` WHERE `vouchdt` >= '$mfrmdate' 
    //                                        AND `vouchdt` <= '$mtodate' $suppcond $godowncond $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));


    while ($pmain = mysqli_fetch_array($getpmain2)) {
        if ($pmain['paidby'] == "C") {
            $ptyped = "CASH";
        } else {
            $ptyped = "CREDIT";
        }


        $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
        $sparty = mysqli_fetch_array($gparty);


        $voucher = $pmain['vouchno'];
        $mydt = $pmain['mydt'];
        $invno = $pmain['invno'];
        $party = $sparty['name'];
        $billamt = $pmain['billamt'];
        $subtot = $pmain['grossamt'];
        $totvat = $pmain['totvat'];
        $totdisc = $pmain['totdisc'];
        $totqty = $pmain['totalqty'];

        $pctr++;


        $contents .= "$pctr" . ",";
        $contents .= "$voucher" . ",";
        $contents .= "$mydt" . ",";
        $contents .= "$invno" . ",";
        $contents .= "$party" . ",";
        $contents .= "$ptyped" . ",";
        $contents .= "$totqty" . ",";
        $contents .= "$billamt" . "\n";

        //                                    $pgrsubtot = $pgrsubtot + $subtot;
        $pgrtotqty = $pgrtotqty + $totqty;
        $pgrtotdis = $pgrtotdis + $totdisc;
        $pgrtotvat = $pgrtotvat + $totvat;
        $pgrtotbillamt = $pgrtotbillamt + $billamt;

        if ($_POST["dtype"] == 2) {

            $contents .= "Sr" . ",";
            $contents .= "Item" . ",";
            $contents .= "Size" . ",";
            $contents .= "Qty." . ",";
            $contents .= "Unit" . ",";
            $contents .= "Cost" . ",";
            $contents .= "Amount" . "\n";


            $ctr2 = 0;
            $pctr2 = 0;
            $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

            $gettran = mysqli_query($conn, "SELECT * FROM `purtran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                $showitem = mysqli_fetch_array($getitem);

                $ctr2++;
                $contents .= "$ctr2" . ",";
                $contents .= "$showtime[name]" . ",";
                $contents .= "$tran[size]" . ",";
                $contents .= "$tran[qty]" . ",";
                $contents .= "$tran[unit]" . ",";
                $contents .= "$tran[rate]" . ",";
                $contents .= "$tran[amount]" . "\n";

                $pcartqty = $pcartqty + $tran['cartqty'];
                $pqty = $pqty + $tran['qty'];
                $ptotqty = $ptotqty + $tran['totqty'];
                $ptotamount = $ptotamount + $tran['amount'];
                $totcost = $totcost + $tran['rate'];
            }

            $contents .= "Total" . ",";
            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= "$pqty" . ",";
            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= "$ptotamount" . "\n";

            //                                        
        }
    }
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";


    if ($ptype != "") {

        $contents .= "" . ",";
    }

    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "Total" . ",";
    $contents .= "$pgrtotqty" . ",";
    $contents .= "$pgrtotbillamt" . "\n";

    //            }



    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1 || $_POST["dtype"] == 3) {
        header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>